<?php
/**
 * Plugin Name: Police Ping Local Offender Finder
 * Plugin URI: https://policeping.com/
 * Description: Plugin will provide short code to display offenders nearby the visitors geo location or any USA 5 digit postal code. Crime map included. U.S.A. ONLY!
 * Version: 1.1
 * Stable tag: 1.1
 * Author: Police Ping
 * @link https://policeping.com/
 * @wordpress-plugin
**/ 
 if ( ! defined( 'WPINC' ) ) {die;} 
 define( 'PP_DIR', dirname( __FILE__ ) );
 define( 'PP_BASENAME', plugin_basename( __FILE__ ) );  
 require_once( PP_DIR . '/includes/admin_menu.php' );
 require_once( PP_DIR . '/includes/shortcodes.php' ); 
 require_once( PP_DIR . '/includes/admin_menu.php' ); 
 function police_ping_init(){
	 $postal = NULL;
	 $showMugshots = 'true';
	 //$check_wpnonce =  check_admin_referer( 'update-paramaters' );
      if(!EMPTY($_GET['_wpnonce'])){
	  if($_GET['_wpnonce'] == check_admin_referer( 'update-paramaters' ) )
	   {
		 
	   }
	     if(!EMPTY($_GET['postal'])){$postal = $_GET['postal'];}	 
	     if(!EMPTY($_GET['showMugshots'])){$showMugshots = $_GET['showMugshots'];}
		 }
	  
?>
<style>
/* Style the tab */
.tab {
  overflow: hidden;
  border: 1px solid #ccc;
  background-color: #f1f1f1;
}

/* Style the buttons inside the tab */
.tab button {
  background-color: inherit;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  transition: 0.3s;
  font-size: 17px;
}

/* Change background color of buttons on hover */
.tab button:hover {
  background-color: #ddd;
}

/* Create an active/current tablink class */
.tab button.active {
  background-color: #ccc;
}

/* Style the tab content */
.tabcontent {
  display: none;
  padding: 12px 12px 12px 12px;
  border: 1px solid #ccc;
  border-top: none;
}
</style>
<h2>Police Ping</h2>
<div class="notice notice-info">
<div class="tab">
  <button class="tablinks" onclick="openCity(event, 'OffenderWidget')" id="defaultOpen">Offender Widget</button>
  <button class="tablinks" onclick="openCity(event, 'CrimeMap')">Crime Map</button>
  <button class="tablinks" onclick="openCity(event, 'About')">About</button> 
</div>
    <div id="OffenderWidget" class="tabcontent">
      <h3>Offender Widget</h3>
         <p>Copy/Paste the <b>Short Code</b> below into your posts and/or pages to include the Police Ping Offender Widget</p>
	     <div class="notice e-notice e-notice--dismissible e-notice--extended">
			<div class="e-notice__content">
			<br>
				 <h3>[police-ping-local-offenders postal="<?php echo esc_attr($postal); ?>" showMugshots="<?php echo esc_attr($showMugshots); ?>"][/police-ping-local-offenders]</h3>
		    </div>
		 </div>
		 <?php $nonce = wp_create_nonce( 'update-paramaters' ); ?>
         <form method="GET" name="update-paramaters" src="#">
	       <input type="hidden" id="_wpnonce" name="_wpnonce" value="<?php echo esc_attr($nonce); ?>" />
		   <input type="hidden" name="page" value="police-ping">
	       <hr>
	       <b>Geo Detect</b> will determine the users geographical location based on their IP address. 
	       <br>To enable Geo Detect, leave the postal code field below empty. Enter any 5 digit USA postal code for a static location. 
	       <br><br> 
	       <b>5 Digit USA Postal Code</b>  
	       <br>
		   <input name="postal" minlength="5" maxlength="5" pattern="[0-9]{5}" style="width: 70px;" value="<?php echo esc_attr($postal); ?>" type="number" id="postal" aria-describedby="tagline-description" value="" class="regular-text">
	       <br><br>
	       <b>Mugshots</b> are not available in all USA databases. Disable to improve load times. If set to yes the plugin will attempt to locate.
	       <br>
		   <select name="showMugshots">
	          <option <?php if($showMugshots == 'true'){echo 'selected="selected"';} ?> value="true">Show Mugshots</option>
              <option <?php if($showMugshots == 'false'){echo 'selected="selected"';} ?> value="false">Hide Mugshots</option>
           </select>
	       <br><br>
	       <input type="submit" name="submit" id="submit" value="Update Short Code" class="button button-primary">
	     </form>		 
		 <hr> 
	     <iframe src="https://widget.completecriminalchecks.com/?postal=<?php echo esc_attr($postal); ?>&showMugshots=<?php echo esc_attr($showMugshots); ?>&credit=false" width="100%" height="350" style="width:100%;height:350px;border:none;overflow:hidden" frameborder="0" allowTransparency="true"></iframe>
    </div>

    <div id="CrimeMap" class="tabcontent">  
        <h3>Crime Map</h3>
          <p>Copy/Paste the <b>Short Code</b> below into your posts and/or pages to include the Police Ping Crime Map</p>
	      <div class="notice e-notice e-notice--dismissible e-notice--extended">
			<div class="e-notice__content">
			<br>
				 <h3>[police-ping-map][/police-ping-map]</h3>
		    </div>
		 </div>		 
		 <hr>	  
	     <iframe src="https://policeping.com/map/?iframe=true" width="100%" height="500" style="width:100%;height:500px;border:none;overflow:hidden" frameborder="0" allowTransparency="true"></iframe>
    </div>       

    <div id="About" class="tabcontent" >
      <h3>About the Police Ping WP Plugin</h3>
	    <p><b>Version 1.0</b> The new Police Ping Wordpress Plugin is your simple solution for providing your visitors with local sex offenders in a responsive, auto scrolling marquee.
		The <b>Crime Map</b> is available in <a href="https://policeping.com/Live-DB/" target="_blank">select cities</a> nationwide and lists only mappable calls for service feeds, local arrests and more.</p>
		<hr>
        <p>
		   <img src="https://policeping.com/wordpress/wp-content/plugins/police-ping/assets/images/police-ping-logo.png" style="float:left;padding:8px;" width="65px;" alt="police ping">
	       <b>Police Ping</b> is a free monitoring service that will alert you if there is police, fire or EMS activity in your area. 
	       <br>Police Ping can also notify you if any person on your list appears on active warrant or arrest logs. 
	       <br>
		   Police Ping currently only functions in the <b>United States of America</b>
		   <br><br>
		   <a href="https://policeping.com" class="button-primary" target="_blank"> Learn more about Police Ping</a>
		</p> 
    </div>
</div>
<script>
function openCity(evt, cityName) {
  var i, tabcontent, tablinks;
  tabcontent = document.getElementsByClassName("tabcontent");
  for (i = 0; i < tabcontent.length; i++) {
    tabcontent[i].style.display = "none";
  }
  tablinks = document.getElementsByClassName("tablinks");
  for (i = 0; i < tablinks.length; i++) {
    tablinks[i].className = tablinks[i].className.replace(" active", "");
  }
  document.getElementById(cityName).style.display = "block";
  evt.currentTarget.className += " active";
}

// Get the element with id="defaultOpen" and click on it
document.getElementById("defaultOpen").click();
</script>
<?php } 
function wpb_police_ping($content) { 
if ( is_single() ) {   
$content .= '<iframe src="https://widget.completecriminalchecks.com/?postal=' . esc_attr($postal) . '" width="100%" height="350" style="width:100%;height:350px;border:none;overflow:hidden" frameborder="0" allowTransparency="true"></iframe>';
}
return $content;  
}
add_filter('the_content', 'wpb_police_ping');